#pragma once
// AniButton.h : header file
//
#include <afxcmn.h>

#include "DllDefines.h"
/////////////////////////////////////////////////////////////////////////////
// CAniButton window

class UTILITYDLL CAniButton : public CButton
{
    // Construction
public:
    CAniButton();

    BOOL Open(LPCTSTR lpszFileName);
    BOOL Open(UINT nID);
    void Play();
    void Stop();
    void Close();

private:
    BOOL m_bRedrawFlag;

    // Operations
public:
    // Overrides
    // ClassWizard generated virtual function overrides
    // {{AFX_VIRTUAL(CAniButton)
public:
    // }}AFX_VIRTUAL

    // Implementation
public:
    virtual ~CAniButton();

    // Generated message map functions
protected:
    CAnimateCtrl m_ctlAnimate;

    // {{AFX_MSG(CAniButton)
    afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
    afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
    afx_msg void OnMouseMove(UINT nFlags, CPoint point);
    // }}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
